module Rack
  class Quote
  	# attr_reader :app, :env, :options
  	HEADERS = {'Content-Type' => 'text/plain'}

    def initialize(app=nil, options={})
      @app = app      
      @phrases = QuoteImporter.new
    end

    def call(env)
    	if env['PATH_INFO'] == '/quote'
    		quote = @phrases.random
    	else
    		quote = ""
    	end

    	if @app
    		status, headers, response = @app.call(env)
    	else
    		status, headers, response = 200, {"Content-Type" => "text/plain"}, []
    	end

    	response_body = ""
    	response.each { |res| response_body += res }
    	response_body += quote

    	headers["Content-Length"] = response_body.length.to_s

    	[status, headers, [response_body]]
    end
  end
end
